| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Tuples::detail::ErrorHandler< OBJECT, FUNCTION > Class Template Reference

`#include <TupleDetail.h>`

Collaboration diagram for Tuples::detail::ErrorHandler< OBJECT, FUNCTION >:

[legend]
List of all members.

## Detailed Description

### template<class OBJECT, class FUNCTION>
class Tuples::detail::ErrorHandler< OBJECT, FUNCTION >

Concrete error handlers for dealing with classes, which suports member functions Erorr,Warning and Print ( e.g.

class GaudiAlgorithm or class GaudiTool ) are provided

Author:
  Vanya BELYAEV Ivan.Belyaev@itep.ru

Date:
  2004-1-24

Definition at line 175 of file TupleDetail.h.

## Public Member Functions
| ErrorHandler (const OBJECT *obj, FUNCTION fun)
| constructor
StatusCode | operator() (const std::string &msg, const StatusCode sc, const size_t mp=10) const
| the only one 'useful' method
## Private Member Functions
| ErrorHandler ()
## Private Attributes
const OBJECT * | m_obj
FUNCTION | m_fun

## Constructor & Destructor Documentation

template<class OBJECT, class FUNCTION>

Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::ErrorHandler | ( | const OBJECT * | obj,
|  | FUNCTION | fun |
| ) |  |  | `[inline]`

constructor

Definition at line 179 of file TupleDetail.h.

    00181         : m_obj ( obj ) , m_fun ( fun ) {};

template<class OBJECT, class FUNCTION>

Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::ErrorHandler | ( |  | ) | `[private]`

## Member Function Documentation

template<class OBJECT, class FUNCTION>

StatusCode Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::operator() | ( | const std::string & | msg,
|  | const StatusCode | sc,
|  | const size_t | mp = `10` |
| ) |  |  | const`[inline]`

the only one 'useful' method

Definition at line 184 of file TupleDetail.h.

References Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::m_fun, and Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::m_obj.

    00187       {
    00188         return (m_obj->*m_fun)( msg , sc , mp ) ;
    00189       }

## Member Data Documentation

template<class OBJECT, class FUNCTION>

const OBJECT* Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::m_obj`[private]`

Definition at line 194 of file TupleDetail.h.

Referenced by Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::operator()().

template<class OBJECT, class FUNCTION>

FUNCTION Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::m_fun`[private]`

Definition at line 195 of file TupleDetail.h.

Referenced by Tuples::detail::ErrorHandler< OBJECT, FUNCTION >::operator()().

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAlg/v11r1/GaudiAlg/TupleDetail.h